# Example: MLE for sample of Bernoulli random variables


w <- 4
n <- 10
pi <- c(0.2, 0.3, 0.35, 0.39, 0.4, 0.41, 0.5)
Lik <- pi^w*(1-pi)^(n-w)
data.frame(pi, Lik)

dev.new(width = 7, height = 6, pointsize = 12)
# Likelihood function plot
# pdf(file = "c:\\figures\\FigureB.1BW.pdf", width = 7, height = 6, colormodel = "cmyk")   # Create plot for book
curve(expr = x^w*(1-x)^(n-w), xlim = c(0,1),
      xlab = expression(pi), ylab = "Likelihood function")
abline(h = 0)
# dev.off()  # Create plot for book

# Log-likelihood function plot
curve(expr = w*log(x) + (n-w)*log(1-x), xlim = c(0, 1),
      xlab = expression(pi), ylab = "Log-likelihood function")

# Similar plot but using plot() function
pi <- seq(from = 0, to = 1, by = 0.01)
Lik <- pi^w*(1-pi)^(n-w)
save <- data.frame(pi, Lik)
head(save)
plot(x = pi, y = Lik, xlab = expression(pi), xlim = c(0, 1), ylab = "Likelihood function", type = "l")
abline(h = 0)

# Y-axis and title uses expression() as well
curve(expr = x^w*(1-x)^(n-w), xlim = c(0, 1), col = "red",
      main = expression(paste("Likelihood function for ", pi)),
      xlab = expression(pi), ylab = expression(paste(L, "(", pi, "|", y[1],...,y[n],")" ) ))
abline(h = 0)


#
