# Example: Transmission of the Mal Rio Cuarto virus


sum.z <- 3  # Positive plants
I <- 7  # Group size
K <- 24   # Number of plants
alpha <- 0.05

# MLE of theta
theta.tilde.hat <- sum.z/K
theta.tilde.hat

# MLE of pi
pi.tilde.hat <- 1 - (1 - theta.tilde.hat)^(1/I)
pi.tilde.hat

library(package = binGroup2)

# Wilson interval
propCI(x = 3, m = 7, n = 24, ci.method = "score", conf.level = 0.95)

# Clopper-Pearson interval
propCI(x = 3, m = 7, n = 24, ci.method = "CP", conf.level = 0.95)

# Wald interval; function replaces negative lower bound with 0
propCI(x = 3, m = 7, n = 24, ci.method = "Wald", conf.level = 0.95)
var.pi.tilde.hat <- (1 - (1 - pi.tilde.hat)^I ) * (1 - pi.tilde.hat)^(2 - I) / (I^2 * K)
pi.tilde.hat + qnorm(p = c(alpha/2, 1-alpha/2)) * sqrt(var.pi.tilde.hat)




#
