tr = function(x) {sum(diag(x))}
tr2 = function(x) {sum(diag(x%*%x))}

newpval = 
function (object, object1, ..., integrate = FALSE) 
{
  if (length(coef(object1)) < length(coef(object))) {
    tmp <- object1
    object1 <- object
    object <- tmp
  }
  n <- object$n
  m0 <- object$model
  m1 <- object1$model
  dfnull <- object$df.null
  pi1 <- fitted(m1)/n
  pi0 <- fitted(m0)/n
  X1 <- model.matrix(m0)[, -1, drop = FALSE]
  X2 <- model.matrix(m1)[, -1, drop = FALSE]
  X1 <- sweep(X1, 2, colMeans(X1))
  X2 <- sweep(X2, 2, colMeans(X2))
  P1 <- (diag(fitted(m1)/n) - tcrossprod(fitted(m1)/n))/n
  P0 <- (diag(fitted(m0)/n) - tcrossprod(fitted(m0)/n))/n
  Psat <- (diag(coef(object$prob.table)) - tcrossprod(coef(object$prob.table)))/n
  if (!all.equal(object$prob.table, object1$prob.table)) 
    stop("models must be fitted to the same data.")
  V <- vcov(object$prob.table)
  wX2sing <- X2 - X1 %*% solve(t(X1) %*% P1 %*% X1, t(X1) %*% 
                                 P1 %*% X2)
  qwX2 <- qr(round(wX2sing, 11))
  wX2 <- wX2sing[, qwX2$pivot[1:qwX2$rank], drop = FALSE]
  Delta <- solve(t(wX2) %*% Psat %*% wX2, t(wX2) %*% V %*% 
                   wX2)
  no_tests <- if (getRversion() >= "4.4.0") 
    FALSE
  else NULL
  an <- anova(m0, m1, test = no_tests)
  dev <- an$Deviance[2]
  if (integrate) {
    pdev <- pchisqsum(dev, rep(1, ncol(wX2)), a = eigen(Delta, 
                      only.values = TRUE, symmetric = TRUE)$values, lower.tail = FALSE, 
                      method = "integration")
  }
  else pdev <- NA
  pdev1 <- pchisq(dev * ncol(wX2)/tr(Delta), df = ncol(wX2), 
                  lower.tail = FALSE)
  pdev2a <- pf(dev/tr(Delta), tr(Delta)^2/tr2(Delta), dfnull * 
                 tr(Delta)^2/tr2(Delta), lower.tail = FALSE)
  pdevsad <- pchisqsum(dev, rep(1, ncol(wX2)), a = eigen(Delta, 
                       only.values = TRUE)$values, lower.tail = FALSE, method = "saddlepoint")
  pearson <- n * sum((pi1 - pi0)^2/pi0)
  if (integrate) {
    pearsonp <- pchisqsum(pearson, rep(1, ncol(wX2)), a = eigen(Delta, 
                          only.values = TRUE, symmetric = TRUE)$values, lower.tail = FALSE, 
                          method = "integration")
  }
  else pearsonp <- NA
  prs1 <- pchisq(pearson * ncol(wX2)/tr(Delta), df = ncol(wX2), 
                 lower.tail = FALSE)
#  prs2 <- pchisq(pearson * ncol(wX2)/tr(Delta), df = tr(Delta)^2/tr2(Delta), 
#                 lower.tail = FALSE)
#  prs2a <- pf(pearson/tr(Delta), ncol(wX2) * tr(Delta)^2/tr2(Delta), 
#              ncol(wX2) * dfnull * tr(Delta)^2/tr2(Delta), lower.tail = FALSE)
  prs2 <- pchisq(pearson * tr(Delta)/tr2(Delta), df = tr(Delta)^2/tr2(Delta), 
                 lower.tail = FALSE)
  prs2a <- pf(pearson/tr(Delta), tr(Delta)^2/tr2(Delta), 
              dfnull * tr(Delta)^2/tr2(Delta), lower.tail = FALSE)
  pchisqsad <- pchisqsum(pearson, rep(1, ncol(wX2)), a = eigen(Delta, 
                         only.values = TRUE, symmetric = TRUE)$values, lower.tail = FALSE, 
                         method = "saddlepoint")
  rval <- list(an, dev = list(dev = dev, p = c(pdev, pdev1, 
               pdev2a, pdevsad)), score = list(chisq = pearson, p = c(pearsonp, 
               prs1, prs2a, pchisqsad)), integrate = integrate, a = eigen(Delta, 
               only.values = TRUE, symmetric = TRUE)$values, p = ncol(wX2))
  class(rval) <- "anova.svyloglin"
  rval
}